Avisos
Vaciar todo

Actualizo Woocommerce y sale error 500  

 
Francisco Manuel
 Francisco Manuel
Usuario experto

Buenos días,
Esto ya empieza a ser habitual. Actualizo Woocommerce y la web se cae. En las páginas que conciernen a Woocommerce (tienda, productos, etc). Veo que me sale el siguiente mensaje de error en el servidor:

[14-Mar-2022 08:35:34 UTC] PHP Fatal error: require_once(): Failed opening required '/home/latinaja/public_html/latinajadelgourmet.com/wp-content/plugins/woocommerce/includes/legacy/abstract-wc-legacy-payment-token.php' (include_path='.:/opt/alt/php74/usr/share/pear') in /home/latinaja/public_html/latinajadelgourmet.com/wp-content/plugins/woocommerce/includes/abstracts/abstract-wc-payment-token.php on line 15

Entiendo que no se debe a ninguna incompatibilidad con ningún otro plugin. El error parece que es en el mismo plugin de Woocommerce. ¿Es así? ¿Cómo podría arreglar este error? ¿Podría volver a la versión anterior de Woocommerce? ¿O debería restaurar?

Muchas gracias,
Francisco

Contenido solo visible a usuarios registrados

Citar
Respondido : 14/03/2022 9:30 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Francisco.

El erro parece venir porque intenta cargar algo que no se encuentra.

Prueba lo siguiente:

.- Accede a tu cuenta WEPanel -> Administrador de archivos.

.- Accede a wp-content -> plugins

.- Renombra el archivo woocommerce, por ejemplo woocommerce_old

.- Descarga WooCommerce:

-> https://es.wordpress.org/plugins/woocommerce/

-> Sube él archivo a la misma carpeta y lo descomprimes, este sustituirá al que tienes.

 

Si no quieres realizarlo en al web que tienes en producción puedes crear un clon y probarlo en ese clon:

-> https://guias.webempresa.com/preguntas-frecuentes/wpcenter/#Clonar-2

Sí en el clon sigues con el mismo problema lo indicas y revisamos ese clon.

 

Un saludo

 

ResponderCitar
Respondido : 14/03/2022 11:07 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Francisco Manuel
 Francisco Manuel
Usuario experto

@pepesoler gracias!

He restaurado la web ya que se trata de una tienda y me interesaba que no tuviera error 500. Por lo tanto, tengo la versión anterior de Woocommerce.

Seguiré tu consejo y probaré lo que dices en un clon sin haber actualizado Woocommerce. Sustituyendo directamente el archivo de Woocommerce, ¿estoy en lo cierto, o debo actualizar el plugin y después sustituir el archivo?

Gracias,

Francisco

ResponderCitar
Respondido : 14/03/2022 11:31 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Francisco.

¿estoy en lo cierto, o debo actualizar el plugin y después sustituir el archivo?

De momento solo lo sustituyes y vemos sí solo con eso se soluciona.

 

Un saludo

ResponderCitar
Respondido : 14/03/2022 11:47 am

wpdoctor-revisa-la-salud-de-tu-wordpress

Francisco Manuel
 Francisco Manuel
Usuario experto

Buenos días @pepesoler,

He seguido tus instrucciones descargando el archivo de la nueva versión de Woocommerce y sustituyéndolo por el antiguo archivo de Woocommerce y ha funcionado. Primero lo he hecho en el clon para asegurarme que funcionaba. 

Muchas gracias por tu ayuda,

Un saludo,

Francisco

ResponderCitar
Respondido : 21/03/2022 9:23 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Buenos días Francisco.

Genial !!! Me alegra mucho que lo solucionaras 😀 

Cualquier consulta que tengas no dudes en comunicarlo.

 

Cerramos el tema.

Un saludo.

ResponderCitar
Respondido : 21/03/2022 9:41 am

Cursos Gratuitos WordPress